import { BaseResource } from "../../common";
import { InvoicePdfResponse, PDFData } from "./interfaces";
export declare class InvoicePdf extends BaseResource {
    static get resourceName(): string;
    static get serviceName(): string;
    static get(invoiceId: string, requestId: string): Promise<PDFData>;
    static post(invoiceId: string): Promise<InvoicePdfResponse>;
}
